stupid_chris

[1.1.2+] Kerbal NRAP - MOVED

Recommended Posts

6 hours ago, Newnard said:

Oh, I should tag @stupid_chris, to draw attention to the change notes (I don't have a github account and didn't check in my changes). And while I'm at it I might as well tag @rawghi and @rdwulfe in case they aren't watching this thread.

Thank you, @Newnard!!! I'll plug this in tonight!

Share this post


Link to post
Share on other sites
18 hours ago, Newnard said:

Oh, I should tag @stupid_chris, to draw attention to the change notes (I don't have a github account and didn't check in my changes). And while I'm at it I might as well tag @rawghi and @rdwulfe in case they aren't watching this thread.

Downloaded, tested, ROCKS.

Thank you @Newnard really!

 

Share this post


Link to post
Share on other sites
20 hours ago, Newnard said:

Oh, I should tag @stupid_chris, to draw attention to the change notes (I don't have a github account and didn't check in my changes). And while I'm at it I might as well tag @rawghi and @rdwulfe in case they aren't watching this thread.

I am following the thread, and I have seen every reply in here. I've however chosen to ignore them.

Also, you forgot to add a license and it is needs to comply with the in place CC-BY-SA license.

Edited by stupid_chris

Share this post


Link to post
Share on other sites
1 minute ago, stupid_chris said:

Also, you forgot to add a license and it is needs to comply with the in place CC-BY-SA license.

I absolutely did not forget to add a license, the software remains under the CC-BY-SA it was originally posted under and I'm not aware of any alternate license that could be compatible if I wanted to change the license, which I don't.

Share this post


Link to post
Share on other sites
Just now, Newnard said:

I absolutely did not forget to add a license, the software remains under the CC-BY-SA it was originally posted under and I'm not aware of any alternate license that could be compatible if I wanted to change the license, which I don't.

You need to include the license and attribution in the download package, which you have not. I've removed your link until you have a compliant version available.

Share this post


Link to post
Share on other sites
10 minutes ago, Red Iron Crown said:

You need to include the license and attribution in the download package, which you have not. I've removed your link until you have a compliant version available.

License and attribution for each source file was included in.... each source file. Regardless I have added a LICENSE.txt file to the download.

  • Like 3

Share this post


Link to post
Share on other sites

Also here to say I would LOVE a fresh NRAP for 1.2.2!

This is a very useful mod @stupid_chris, I have used it extensively in 1.1.3 to test maximum payloads for my fleet of Delta II, IV, Ariane, Soyuz and Falcon Launchers, and I hope to see it return!

 

  • Like 1

Share this post


Link to post
Share on other sites
On ‎12‎/‎30‎/‎2016 at 1:13 AM, FlyingFalap said:

Also here to say I would LOVE a fresh NRAP for 1.2.2!

Or, in the alternative, since someone else in this thread recently reported that this mod is running well in KSP v1.2.2, if someone maintaining the mod could verify this would it be possible to update the .version in the download?  This way the AVC and CKAN would be able to correctly report on compatibility.

Share this post


Link to post
Share on other sites

I don't plan to do it in any relatively close future. On the bright side, the license is open.

Share this post


Link to post
Share on other sites
1 hour ago, stupid_chris said:

I don't plan to do it in any relatively close future. On the bright side, the license is open.

If you aren't planning on updating this any time soon, is it ok with you if I just increment the version number and post it in this thread, or would you prefer that I formally fork it and put it in a new thread? I can't reliably maintain this or any mod right now, but I can do minor updates such as what's being suggested.

Share this post


Link to post
Share on other sites
13 hours ago, Newnard said:

If you aren't planning on updating this any time soon, is it ok with you if I just increment the version number and post it in this thread, or would you prefer that I formally fork it and put it in a new thread? I can't reliably maintain this or any mod right now, but I can do minor updates such as what's being suggested.

If you don't plan to actually maintain it, don't make a new thread for it.

  • Like 1

Share this post


Link to post
Share on other sites
1 hour ago, stupid_chris said:

If you don't plan to actually maintain it, don't make a new thread for it.

That makes sense. :) It was a silly question.

On 1/6/2017 at 0:26 AM, MisterFister said:

Or, in the alternative, since someone else in this thread recently reported that this mod is running well in KSP v1.2.2, if someone maintaining the mod could verify this would it be possible to update the .version in the download?  This way the AVC and CKAN would be able to correctly report on compatibility.

I just checked the version that I posted for KSP 1.2.1 (one page back in this thread,

), and the .version file in that should be good for KSP 1.2.2 as well; so if you download that it should work just fine.

Share this post


Link to post
Share on other sites
4 hours ago, mark7 said:

However, NRAP is not working in my KSP 1.2.2......

Which version of NRAP are you using?

When you say it is not working, what do you mean?

  • Are you simply getting a compatibility warning from KSP-AVC?
  • Is the NRAP part not showing up at all in-game?
  • Is the dialog box for adjusting the test weight not functioning correctly?

etc. Screenshots might also help.

 

Share this post


Link to post
Share on other sites
On 2017/1/11 at 0:01 AM, Newnard said:

Which version of NRAP are you using?

When you say it is not working, what do you mean?

  • Are you simply getting a compatibility warning from KSP-AVC?
  • Is the NRAP part not showing up at all in-game?
  • Is the dialog box for adjusting the test weight not functioning correctly?

etc. Screenshots might also help.

Err, by that time I am using v1.5.1.1 and the dialog box didnt show up in game. I am using KSP 1.2.2.

But now I switched to your modification and it works fine, so, thanks!

 

Share this post


Link to post
Share on other sites

Hi,

I've offered to @stupid_chris to take this over.  In the meantime, you can get my build of this for 1.2.2 here:

https://github.com/linuxgurugamer/NRAP/releases/tag/1.5.2

Fixes the following issues:

  • Fixed issue where it was telling KSP that the size was changing every tick, which was causing issues in other mods which were reacting to the event
  • Fixed issue where clicking Apply wasn't updating the Totalmass display immediately, you needed to click it a 2nd time
  • Removed the CompatibilityChecker
     
  • Like 1

Share this post


Link to post
Share on other sites

If they put out a 1.3 you are going to have sooo many mods to update. :)   Hats of to you, thanks for all the hard work.

Share this post


Link to post
Share on other sites
5 hours ago, eberkain said:

If they put out a 1.3 you are going to have sooo many mods to update. :)   Hats of to you, thanks for all the hard work.

It all depends on the changes which will be needed.  Hopefully, they are in a more stable state, and won't have the need to change existing interfaces.

Hi Everybody,

Since @stupid_chris isn't working on this, I've decided to adopt it.  I've emailed him, and he is OK with it.

I've started a new thread here:

Please move all discussions on the new version for 1.2 over there.

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now